Package org.eclipse.mat.snapshot

# Class HistogramRecordBeanInfo

java.lang.Object
java.beans.SimpleBeanInfo
org.eclipse.mat.snapshot.HistogramRecordBeanInfo

All Implemented Interfaces:
  `BeanInfo`

public class HistogramRecordBeanInfo extends SimpleBeanInfo
Provides information about the column names for a `HistogramRecord`. Not intended to be directly used by clients.

Since:
  1.2
No Extend:
  This class is not intended to be subclassed by clients.

## Field Summary

### Fields inherited from interface java.beans.BeanInfo

`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

## Constructor Summary

Constructors
Constructor
Description
`HistogramRecordBeanInfo()`

## Method Summary

Modifier and Type
Method
Description
`PropertyDescriptor[]`
`getPropertyDescriptors()`
Gets the property descriptors for the fields of the `HistogramRecord`.

### Methods inherited from class java.beans.SimpleBeanInfo

`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, loadImage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HistogramRecordBeanInfo

public HistogramRecordBeanInfo()

No Reference:
  This constructor is not intended to be referenced by clients.

## Method Details

### getPropertyDescriptors

public PropertyDescriptor[] getPropertyDescriptors()
Gets the property descriptors for the fields of the `HistogramRecord`. The system bean code will call this once and cache the result. When bean info is needed the data will be copied to a bean info to return to the user. The returned results implement the `FeatureDescriptor.getDisplayName()` method so that for RAP the language can be dynamically chosen. If a basic property descriptor was used and initialized using `FeatureDescriptor.setDisplayName(java.lang.String)` then only one language could be used.

Specified by:
  `getPropertyDescriptors` in interface `BeanInfo`
Overrides:
  `getPropertyDescriptors` in class `SimpleBeanInfo`